OpenJPEG: opj_tcd_cblk_dec Struct Reference

OpenJPEG 2.1.2

Data Fields
opj_tcd_cblk_dec Struct Reference
TCD - Implementation of a tile coder/decoder

`#include <tcd.h>`

## Data Fields
OPJ_BYTE * | data
opj_tcd_seg_t * | segs
OPJ_INT32 | x0
OPJ_INT32 | y0
OPJ_INT32 | x1
OPJ_INT32 | y1
OPJ_UINT32 | numbps
OPJ_UINT32 | numlenbits
OPJ_UINT32 | data_max_size
OPJ_UINT32 | data_current_size
OPJ_UINT32 | numnewpasses
OPJ_UINT32 | numsegs
OPJ_UINT32 | real_num_segs
OPJ_UINT32 | m_current_max_segs

## Field Documentation

## § data

OPJ_BYTE* opj_tcd_cblk_dec::data

Referenced by opj_t2_read_packet_data(), opj_tcd_code_block_dec_allocate(), and opj_tcd_code_block_dec_deallocate().

## § data_current_size

OPJ_UINT32 opj_tcd_cblk_dec::data_current_size

Referenced by opj_t2_read_packet_data(), and opj_t2_skip_packet_data().

## § data_max_size

OPJ_UINT32 opj_tcd_cblk_dec::data_max_size

Referenced by opj_t2_read_packet_data(), and opj_tcd_code_block_dec_allocate().

## § m_current_max_segs

OPJ_UINT32 opj_tcd_cblk_dec::m_current_max_segs

Referenced by opj_t2_init_seg(), and opj_tcd_code_block_dec_allocate().

## § numbps

OPJ_UINT32 opj_tcd_cblk_dec::numbps

Referenced by opj_t1_decode_cblk(), and opj_t2_read_packet_header().

## § numlenbits

OPJ_UINT32 opj_tcd_cblk_dec::numlenbits

Referenced by opj_t2_read_packet_header().

## § numnewpasses

OPJ_UINT32 opj_tcd_cblk_dec::numnewpasses

Referenced by opj_t2_read_packet_data(), opj_t2_read_packet_header(), and opj_t2_skip_packet_data().

## § numsegs

OPJ_UINT32 opj_tcd_cblk_dec::numsegs

Referenced by opj_t2_read_packet_data(), opj_t2_read_packet_header(), and opj_t2_skip_packet_data().

## § real_num_segs

OPJ_UINT32 opj_tcd_cblk_dec::real_num_segs

Referenced by opj_t1_decode_cblk(), opj_t2_read_packet_data(), and opj_t2_read_packet_header().

## § segs

opj_tcd_seg_t* opj_tcd_cblk_dec::segs

Referenced by opj_t1_decode_cblk(), opj_t2_init_seg(), opj_t2_read_packet_data(), opj_t2_read_packet_header(), opj_t2_skip_packet_data(), opj_tcd_code_block_dec_allocate(), and opj_tcd_code_block_dec_deallocate().

## § x0

OPJ_INT32 opj_tcd_cblk_dec::x0

Referenced by opj_t1_decode_cblk(), opj_t1_decode_cblks(), and opj_tcd_init_tile().

## § x1

OPJ_INT32 opj_tcd_cblk_dec::x1

Referenced by opj_t1_decode_cblk(), and opj_tcd_init_tile().

## § y0

OPJ_INT32 opj_tcd_cblk_dec::y0

Referenced by opj_t1_decode_cblk(), opj_t1_decode_cblks(), and opj_tcd_init_tile().

## § y1

OPJ_INT32 opj_tcd_cblk_dec::y1

Referenced by opj_t1_decode_cblk(), and opj_tcd_init_tile().

The documentation for this struct was generated from the following file:

- tcd.h